Skip to content

Exchange sso_ticket for user information API

Call this API when exchanging the sso_ticket for user information.

Request Description

http
POST https://{your_domain}/api/v2/tenant/sso/sso-ticket/verify

Request Example

json
{
   "sso_ticket":"ssoTicket-r5TCBLU14oSGxCMVdxeB5HA1uJiV",
   "operating_sys_version":"windows10.1.1",
   "device_ip":"192.168.1.1",
   "device_fingerprint":"156aysdna213sac",
   "agent":"agent:Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/89.0.4389.82 Safari/537.36"
}

Request Parameters

Parameter NameNameRequiredTypeDescription
sso_ticketOne-time access ticketYesStringExchange the session_token after user login for a one-time access ticket sso_ticket, which can be exchanged for user information
X-operating-sys-versionCaller OS versionYesStringwindows10.1.1
X-device-fingerprintCaller device fingerprintYesString156aysdna213sc50
X-device-ipCaller IPNoString192.168.1.2
X-agentUser-Agent infoYesStringMozilla/5.0 (iPhone; CPU iPhone OS 13_3 like Mac OS X) AppleWebKit/605.1.15(KHTML, like Gecko) Mobile/15E148/HuaWei-AnyOffice/2.6.1802.0010/com.huawei.cloudlink.workplace

Response Example

Success Example

HTTP/1.1 200 OK

json
{
    "code": "0",
    "message": "success",
    "data": {
        "user": {
            "name": "20220330162435",
            "mobile": "+86-13516486286",
            "id": "20220330162436475-7570-D943B4FF3",
            "userName": "20220330162435",
            "email": "20220330162435@test.com"
        },
        "id_token": "eyJraWQiOiI0NmI5NjUxYTgwMmU0NjVkOWE4Mjc4YWY4NmRiNDFkMiIsImFsZyI6IlJTMjU2In0.eyJpc3MiOiJodHRwczovL2xyLm9uZWFjY2Vzcy1hbHBoYS5iY2Nhc3RsZS5jb20vYXBpL3YxL29hdXRoMiIsImF1ZCI6IllOSDJKRmZmNFo3c1U2UVFERVZ1a0kyVXhKTUxrZHhZIiwiZXhwIjoxNjc1NzU5NTEzLCJqdGkiOiJRQUtkQm44UUFqamg3dmlzVkcyS2ZnIiwiaWF0IjoxNjc1NzU5MzkzLCJuYmYiOjE2NzU3NTkyNzMsInN1YiI6IjIwMjMwMjA3MTYwNzI2NDg0LUNEQUItRUFDNTNCMjlFIiwibmFtZSI6InRlc3RfbmFtZSIsIm1vYmlsZSI6Iis4Ni0xODExMjM0MTIzNCIsImlkIjoiMjAyMzAyMDcxNjA3MjY0ODQtQ0RBQi1FQUM1M0IyOUUiLCJ1c2VyTmFtZSI6InRlc3QiLCJlbWFpbCI6InRlc3RAcXEuY29tIiwidXNlcklkIjoiMjAyMzAyMDcxNjA3MjY0ODQtQ0RBQi1FQUM1M0IyOUUifQ.QK7s4wxw4AUR1lTc4VynUnYVb-IXcBrwWt_A4mLV_2ElfxTgaRvaG4E1U2XgHxBqYtXdbhBlImKVxMs_qmgfWMS7mPq6KT9lUaQ4UBULLSLpWqWQTlJ9Dr96gjmpz6lD3f7tpjUvc8PjcKGiic3B3sCf3PW0WkFhN9eE_C0PHWYPTG0Hdgv6op6HPN-c02KPAfWinb270X5Ga0boQC8JwEte9KwdtJmbS2CYSul1oceBfg2BIcH8oLGfyi_KAZVbwgshFO_YLdbA9YqJ4ZxXrMSPS93PqowaCPoxbFyWiCaeUWSpvGTn_z6at-ntwr4MQ1zfEu2CRJEnQngp8rwP9w"
    }
}

Response Parameters

The platform returns the basic user list by default as shown below.

Parameter NameNameTypeDescription
userUser informationjsonUser information JSON object
- userNameUser nameString
- idUser IDString
- nameNameString
- mobileMobile numberString
- emailEmailString
id_tokenShort-term valid API call credentialStringThis field is a JWT that stores user information; it is valid for 2 hours by default and supports configuration

BambooCloud IDaaS Open Platform